DeploymentTargets
Gets all non-archived Resource Configurations based on the provided filters
Gets all non-archived Resource Configurations based on the provided filters.
GET
/
api
/
admin
/
v1
/
deploymentTargets
/
{deploymentTargetId}
/
resourceConfigurations
Gets all non-archived Resource Configurations based on the provided filters
curl --request GET \
--url https://mycluster.domino.tech/api/admin/v1/deploymentTargets/{deploymentTargetId}/resourceConfigurations \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/admin/v1/deploymentTargets/{deploymentTargetId}/resourceConfigurations"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/admin/v1/deploymentTargets/{deploymentTargetId}/resourceConfigurations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"configuration": {
"instanceType": "m7g.medium"
},
"deploymentTargetId": 1,
"description": "Medium AWS Instance",
"id": 2,
"name": "Medium"
}
],
"metadata": {
"notices": [
"<string>"
],
"requestId": "<string>",
"limit": 123,
"offset": 123,
"totalCount": 123
}
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
DominoApiKeyBearerAuthentication
Path Parameters
ID of Deployment Target that Resource Configuration belongs to.
Query Parameters
Filter by Resource Configuration name
How many Resource Configurations from the start to skip. Defaults to 0.
Max number of Resource Configurations to fetch. Defaults to 10.
Last modified on June 26, 2026
Related topics
Gets all non-archived Deployment Targets based on the provided filtersGets all selectable non-archived Deployment Targets based on the provided filtersThe python-domino libraryFetches a list of ProjectWas this page helpful?
⌘I
Gets all non-archived Resource Configurations based on the provided filters
